Loading...
Searching...
No Matches
Opm::DifferentiateOutputTable Namespace Reference

Apply piecewise linear differentiation (i.e., compute slopes) on a set of dependent variables in a linearised output table. More...

## Classes

struct | Descriptor
| Columnar data differentantiation table request. More...

## Functions

void | calcSlopes (const std::size_t numDependent, const Descriptor &desc, LinearisedOutputTable &table)
| Apply piecewise linear differentiation (i.e., compute slopes) on a set of dependent variables in a linearised output table.

## Detailed Description

Apply piecewise linear differentiation (i.e., compute slopes) on a set of dependent variables in a linearised output table.

## Function Documentation

## calcSlopes()

void Opm::DifferentiateOutputTable::calcSlopes | ( | const std::size_t | numDependent,
|  | const Descriptor & | desc,
|  | LinearisedOutputTable & | table )

Apply piecewise linear differentiation (i.e., compute slopes) on a set of dependent variables in a linearised output table.

Assumes that the independent variable is stored in the first column (column ID zero).

Parameters

  [in] | numDependent | Number of dependent variables. Usually one or two. Dependent variables are assumed to be stored in columns one through `numDependent`.
  [in] | desc | Columnar data differentantiation table request. Must refer to a particular sub-table of the linearised output table.
  [in,out] | table | Linearised output table. On input, column zero contains the independent variable in each of sub-tables and columns one through `numDependent` contain the dependent variables. On output, columns through contain the slopes of the dependent variables.

In partcular, column

for

contains the derivatives of column `j` with respect to column zero. We define the slopes as

for all

(in table `k`).